Bug 63295 - port www/linx Allow the use of default colors for lynx
Summary: port www/linx Allow the use of default colors for lynx
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-24 04:40 UTC by Gene Hsu
Modified: 2004-02-24 15:26 UTC (History)
0 users

See Also:


Attachments
file.diff (462 bytes, patch)
2004-02-24 04:40 UTC, Gene Hsu
no flags Details | Diff
file.diff (478 bytes, patch)
2004-02-24 04:40 UTC, Gene Hsu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gene Hsu 2004-02-24 04:40:07 UTC
	Allow the use of --enable-default-colors flag configuration option
	This will allow the use of default terminal colors for both the
	background and foreground instead of forcing the use of a built-in
	color scheme

Fix: To make this a default solution:

To make this a port option, perhaps by setting an ENABLE_DEFAULT_COLORS
flag:
Comment 1 Kirill Ponomarev freebsd_committer 2004-02-24 11:32:30 UTC
Hi,

On Mon, Feb 23, 2004 at 08:37:00PM -0800, Gene Hsu wrote:
> 
> >Number:         63295
> >Category:       ports
> >Synopsis:       port www/linx Allow the use of default colors for lynx
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports-bugs
> >State:          open


Could you please provide the feedback about this PR ?

http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/63295

-Kirill
Comment 2 Kirill Ponomarev freebsd_committer 2004-02-24 11:32:37 UTC
State Changed
From-To: open->feedback

Asked for maintainer's feedback.
Comment 3 jharris 2004-02-24 15:09:12 UTC
On Tue, Feb 24, 2004 at 12:32:30PM +0100, Kirill Ponomarew wrote:

> Could you please provide the feedback about this PR ?
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/63295


The second implementation/patch looks good, so I hereby
approve it, albeit without any testing.

(NB:  Implementing this as 'OPTION+= DEFAULT_COLORS "..." off' -
as I once mentioned to the submitter - was just found to require
too much su(1)'ing for my tastes.)

-- 
Jason Harris          | NIC:  JH329, PGP:  This _is_ PGP-signed, isn't it?
jharris@widomaker.com | web:  http://keyserver.kjsl.com/~jharris/
Comment 4 Kirill Ponomarev freebsd_committer 2004-02-24 15:26:42 UTC
State Changed
From-To: feedback->closed

Committed, thanks!